You are not logged in.

#1 2005-03-08 21:52:55

Registered: 2004-09-17
Posts: 49

php4 apache

found an old php4 pkg i need php4 and not php5 installed it pacman -A php4XXXX.
i have added to httpd.conf

LoadModule php4_module        lib/apache/


<IfModule mod_php4.c>
  DirectoryIndex index.php index.html
  AddType application/x-httpd-php .php
  AddType application/x-httpd-php-source .phps

trying to start httpd i get

Syntax error on line 263 of /etc/httpd/conf/httpd.conf:
Cannot load /usr/lib/apache/ into server: cannot open shared object file: No such file or directory

plz can someone help me to get apache to run php4


#2 2005-03-08 22:00:40

From: Dorval, QC, Canada
Registered: 2004-09-07
Posts: 274

Re: php4 apache

I would personally advise you to recompile it

The best thing to do would be to create a PKGBUILD for the latest version of PHP4

The package you have seems to have been compiled on a system with openssl-0.9.6, and the up to date version is openssl-0.9.7 (

You could always symlink to, but I don't guarantee that it'll work...


Board footer

Powered by FluxBB